
CREATE DATABASE IF NOT EXISTS `signature`;

USE `signature`;

--
-- Table structure for table `config`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `config` (
  `key` varchar(30) DEFAULT NULL,
  `val` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `signature`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `signature` (
  `dname` varchar(30) DEFAULT NULL,
  `did` varchar(50) DEFAULT NULL,
  `dcompany` varchar(100) DEFAULT NULL,
  `daddress` text DEFAULT NULL,
  `dcity` varchar(50) DEFAULT NULL,
  `dstate` varchar(50) DEFAULT NULL,
  `dcountry` varchar(50) DEFAULT NULL,
  `dpostalcode` varchar(50) DEFAULT NULL,
  `field1` text DEFAULT NULL,
  `field2` text DEFAULT NULL
  
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

alter table config add constraint UNIQUE(`key`);
insert IGNORE into config values('template', 'Warm Regards,\$\{newline\}\$\{username\}');
insert IGNORE into config values('field3', 'Field3 goes here');
insert IGNORE into config values('mobile', 'Mobile:');
insert IGNORE into config values('facsimile', 'FAX:');

ALTER TABLE config ENGINE = InnoDB;
ALTER TABLE signature ENGINE = InnoDB;
